Bug 1024150 - [Regression] Name validation error not functioning
[Regression] Name validation error not functioning
Status: CLOSED UPSTREAM
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
development
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Carlos Munoz
Zanata-QA Mailling List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-28 21:25 EDT by Damian Jansen
Modified: 2015-07-30 21:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-30 21:15:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damian Jansen 2013-10-28 21:25:32 EDT
Description of problem:
The name field is restricted to 2-80 characters. Entering text outside these bounds causes an error to occur, but does not preset this error to the user.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Go to $server/zanata/account/register
2. Enter ; in the name field
3. Fill out the rest correctly
4. Press sign up

Actual results:
The register page is again presented to the user, with no errors displayed

Expected results:
The Full Name field should have an attached error

Additional info:
Comment 1 Ding-Yi Chen 2014-07-17 03:00:53 EDT
The severity is set as medium, as Zanata is correctly block the invalid request, just it does not show properly.
Comment 2 Zanata Migrator 2015-07-30 21:15:50 EDT
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-387

Note You need to log in before you can comment on or make changes to this bug.